<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::TransformKeyFrame Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#78bb5ea0c5eddda519873510b0646f09">_clone</a>(AnimationTrack *newParent) const </td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#3f7862e9682e933b9ad9bc2e500a8f35">getRotation</a>(void) const </td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#50420fbbdc0419376b8ad103354a520d">getScale</a>(void) const </td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#bc6cab6ca252dffa5f7955fbf25707f8">getTime</a>(void) const </td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#08a7526a3b8c6c7fc172d8375c99d185">getTranslate</a>(void) const </td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#6d31b620621fdeed1a3fc9f752498ad7">KeyFrame</a>(const AnimationTrack *parent, Real time)</td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">mParentTrack</a></td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#fc8fa0ac28a8af32d48e55a02daae0c1">mRotate</a></td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#e71c63b50724dc7b5b866158eb9062f4">mScale</a></td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">mTime</a></td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#a64713cf3569300e7c394a7aca5e9fd6">mTranslate</a></td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#871cd8678b1be22dd19be96329794a9a">setRotation</a>(const Quaternion &amp;rot)</td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#46868a5a6248f24b96b2a5a2b54b9cc3">setScale</a>(const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#8d82e03beea51388e7daf005b76b00a1">setTranslate</a>(const Vector3 &amp;trans)</td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#697d9705922b17bd0ca908eccd23ecf3">TransformKeyFrame</a>(const AnimationTrack *parent, Real time)</td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1KeyFrame.html#2f8e964ccf18553eef80f93c26d0e7bc">~KeyFrame</a>()</td><td><a class="el" href="classOgre_1_1KeyFrame.html">Ogre::KeyFrame</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TransformKeyFrame.html#b3f1fdf74fd7841e65efea2a011100d9">~TransformKeyFrame</a>()</td><td><a class="el" href="classOgre_1_1TransformKeyFrame.html">Ogre::TransformKeyFrame</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:13 2008
</p>
</body>
</html>
